#!/usr/bin/env python

import serial
import time

print "DUO EXECUTIVE CONSOLE"
print "Restarting device."

serialConnection = serial.Serial('/dev/tty.usbmodemfd121', 9600)

serialConnection.timeout = 0.25

# Wait for the microcontroller to restart.
time.sleep(3);

print "Done."

while True:
    while True:
        text = serialConnection.readline();
        if len(text) > 1:
            print text,
        else:
            break
    text = raw_input("%%% ")
    if text == "quit":
        break
    if text.find(".depl") > -1 or text.find(".txt") > -1:
        fileHandle = open(text, "r")
        text = fileHandle.read()
        fileHandle.close()
        print text
    tempIndex = text.find("*")
    if tempIndex > -1 and tempIndex == len(text) - 1:
        text = text[:-1] + chr(255)
        print "[END BYTE]"
    serialConnection.write(text)



